package org.ts.ddcs.WxController.service;

import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import org.ts.ddcs.Entity.RtuBaseInfo;
import org.ts.ddcs.WxController.entity.ProjectInfo;
import org.ts.ddcs.WxController.entity.ServicePersonInfo;

import java.util.List;
import java.util.Map;

/**
 * @author dylan
 */
public interface WxService {
    List<Map<String, Object>> HistoryList(String orgId);

    JSONObject FindRtu(String rtuCode);

    JSONObject RtuBaseInfo(String rtuCode);

    JSONObject RtuStatusInfo(String rtuCode);

    JSONObject RtuLastDatagram(String rtuCode);

    void RecordFindHistory(String rtuCode, String openId);

    JSONArray rtuList(String openId, String rtuCode,String rtuName, String orgId);

    JSONArray orgTree();

    JSONArray projectListByOrgId(String orgId);

    void report(JSONObject data, String openId);

    List<Map<String, Object>> WorkList(String openId);

    String getOrgName(String orgId);

    String getOrgInfoOfUser(String userId);

    Map<String, Object> reportDetail(String id);

    Map<String, Object> userByOpenId(String openId);

    Map<String, Object> user(String user);

    void updateWx(String openid, String user);

    List<Map<String, Object>> warningList(String rtuCode);

    void SavePhoto(String id, String groupId, String fileName, long fileSize, String ext, String type, String savePath, int status);

    void rtuLocationInfoUpdate(RtuBaseInfo rtuBaseInfo);

    List<Map<String,Object>> listDict(String id);

    /**
     * 查询运维人员绑定的项目列表
     * @param id
     * @return
     */
    List<ProjectInfo> projectListByUserId(String id);

    ServicePersonInfo getServicePersonInfoByUserId(String id);
}
